# Class Circle

java.lang.Object
com.codename1.maps.MapObject
com.codename1.maps.Circle

public final class Circle extends MapObject
A geodesic circle drawn on a map, described by a center and a radius in meters. Add one through `MapSurface.addCircle(Circle)`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Circle(LatLng center, double radiusMeters)`
  Creates a circle.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LatLng`
  `getCenter()`
  The circle center.
  `int`
  `getFillColor()`
  The fill color as 0xAARRGGBB (alpha in the high byte).
  `double`
  `getRadiusMeters()`
  The radius in meters.
  `int`
  `getStrokeColor()`
  The stroke color as 0xRRGGBB.
  `int`
  `getStrokeWidth()`
  The stroke width in pixels (0 hides the outline).
  `boolean`
  `isVisible()`
  Whether the circle is rendered.
  `Circle`
  `setCenter(LatLng center)`
  Moves the circle center.
  `Circle`
  `setFillColor(int fillColor)`
  Sets the fill color as 0xAARRGGBB (alpha in the high byte).
  `Circle`
  `setRadiusMeters(double radiusMeters)`
  Sets the radius in meters.
  `Circle`
  `setStrokeColor(int strokeColor)`
  Sets the stroke color as 0xRRGGBB.
  `Circle`
  `setStrokeWidth(int strokeWidth)`
  Sets the stroke width in pixels (0 hides the outline).
  `Circle`
  `setVisible(boolean visible)`
  Shows or hides the circle.

  ### Methods inherited from class MapObject

  `equals, getId, hashCode`

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Circle

    public Circle(LatLng center, double radiusMeters)

    Creates a circle.

    ###### Parameters

    - `center`: the geographic center

    - `radiusMeters`: the radius in meters

- ## Method Details

  - ### getCenter

    public LatLng getCenter()
    The circle center.

  - ### setCenter

    public Circle setCenter(LatLng center)
    Moves the circle center.

  - ### getRadiusMeters

    public double getRadiusMeters()
    The radius in meters.

  - ### setRadiusMeters

    public Circle setRadiusMeters(double radiusMeters)
    Sets the radius in meters.

  - ### getFillColor

    public int getFillColor()
    The fill color as 0xAARRGGBB (alpha in the high byte).

  - ### setFillColor

    public Circle setFillColor(int fillColor)
    Sets the fill color as 0xAARRGGBB (alpha in the high byte).

  - ### getStrokeColor

    public int getStrokeColor()
    The stroke color as 0xRRGGBB.

  - ### setStrokeColor

    public Circle setStrokeColor(int strokeColor)
    Sets the stroke color as 0xRRGGBB.

  - ### getStrokeWidth

    public int getStrokeWidth()
    The stroke width in pixels (0 hides the outline).

  - ### setStrokeWidth

    public Circle setStrokeWidth(int strokeWidth)
    Sets the stroke width in pixels (0 hides the outline).

  - ### isVisible

    public boolean isVisible()
    Whether the circle is rendered.

  - ### setVisible

    public Circle setVisible(boolean visible)
    Shows or hides the circle.